require "mkmf"
require "parsearg"

def usage()
  printf "Usage:\n"
  printf "%s [-L library_path]\n", $0
end

$USAGE = 'usage'
parseArgs(0, "L", nil, "L:.")

unless have_library("chasen", "chasen_getopt_argv")
   $objs = Dir["*.{c,cc}"]
   for f in $objs
      f.sub!(/\.(c|cc)$/, ".o")
   end
   $objs.push File.join(["#{$OPT_L}", "libchasen.a"])
end

create_makefile("chasen")
